Subject: Re: linux-next: manual merge of the zonefs tree with the vfs-idmapping tree

From: Damien Le Moal <[email-masked]>
Date: Tue, 24 Jan 2023 07:31:18 +0900

On 1/24/23 06:59, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the zonefs tree got a conflict in:
> 
>   fs/zonefs/super.c
> 
> between commits:
> 
>   c1632a0f1120 ("fs: port ->setattr() to pass mnt_idmap")
>   f2d40141d5d9 ("fs: port inode_init_owner() to mnt_idmap")
>   f861646a6562 ("quota: port to mnt_idmap")

Indeed, these patches touch zonefs. linux-fsdevel is high traffic and I
missed these patches as I was not on the distribution list. I never acked
these changes. Not cool, to say the least.

> from the vfs-idmapping tree and commits:
> 
>   4008e2a0b01a ("zonefs: Reorganize code")
>   d207794ababe ("zonefs: Dynamically create file inodes when needed")
> 
> from the zonefs tree.
> 
> This is a bit of a mess :-(

Yes.

> I fixed it up (I think - see below) and can carry the fix as necessary.
> This is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thanks for that. Do you want me to rebase my for-6.3/for-next branch on
these patches ? I need to retest everything anyway, so I might as well do
that.

-- 
Damien Le Moal
Western Digital Research